### Method

# Pango.GlyphString.index_to_x

#### Declaration [src]

    void
    pango_glyph_string_index_to_x (
      PangoGlyphString* glyphs,
      char* text,
      int length,
      PangoAnalysis* analysis,
      int index_,
      gboolean trailing,
      int* x_pos
    )

#### Description [src]

Converts from character position to x position.

The X position is measured from the left edge of the run. Character positions are computed by dividing up each cluster into equal portions.

#### Parameters

`text` | `char*`
| the text for the run
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`length` | `int`
| the number of bytes (not characters) in `text`.
`analysis` | `PangoAnalysis`
| the analysis information return from `pango_itemize()`
| Ownership is not transferred to the callee
`index_` | `int`
| the byte index within `text`
`trailing` | `gboolean`
| whether we should compute the result for the beginning (`FALSE`) or end (`TRUE`) of the character.
`x_pos` | `int*`
| location to store result
| Direction: out
| Ownership of the data is transferred to the callee